﻿using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ChangingMinimizeIconAndContextMenu
{

    public partial class Form1 : Form, Infragistics.Win.IUIElementDrawFilter
    {
        public ContextMenu cm;
        Pen borderPen = new Pen(Color.DarkGoldenrod);
        public Form1()
        {
            InitializeComponent();
        }

        private void UltraToolbarsManager1_BeforeToolbarListDropdown(object sender, Infragistics.Win.UltraWinToolbars.BeforeToolbarListDropdownEventArgs e)
        {
            e.Cancel = true;
            this.ContextMenu = cm;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraToolbarsManager1.DrawFilter = this;

            ultraToolbarsManager1.Style = ToolbarStyle.Office2013;
            cm = new System.Windows.Forms.ContextMenu();
            cm.MenuItems.Add("Functionality 1");
            cm.MenuItems.Add("Functionality 2");

            cm.MenuItems[0].Click += new EventHandler(Form1_Click);
            cm.MenuItems[1].Click += new EventHandler(Form1_Click1);

            this.ultraToolbarsManager1.BeforeToolbarListDropdown += UltraToolbarsManager1_BeforeToolbarListDropdown;
        }

        private void Form1_Click(object sender, EventArgs e)
        {
            MessageBox.Show("This is functionality 1");
        }

        private void Form1_Click1(object sender, EventArgs e)
        {
            MessageBox.Show("This is functionality 2");

        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is RibbonContentAreaPinButtonUIElement)
                return Infragistics.Win.DrawPhase.BeforeDrawElement;
            else
                return Infragistics.Win.DrawPhase.None;
        }

        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            Rectangle elementRect = drawParams.Element.Rect;     
            drawParams.Graphics.DrawImage(Properties.Resources.spring, new Point(elementRect.Left, elementRect.Top));
            return true;
        }
    }
}
